//+------------------------------------------------------------------+
//|                                                ProgressBarEA.mq5 |
//|                                      Copyright 2010, Investeo.pl |
//|                                           http://www.investeo.pl |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, Investeo.pl"
#property link      "http://www.investeo.pl"
#property version   "1.00"

#include <ChartObjectExtControls.mqh>

CChartObjectProgressBar progressBar,progressBar2,progressBar3;
CChartObjectProgressBar progressBar4,progressBar5,progressBar6;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   progressBar.Create(0, "progressBar1", 0, 10, 10, 200, 40);
   progressBar.SetColor(YellowGreen);
   progressBar.SetMin(0);
   progressBar.SetMax(100);
   progressBar.SetValue(5);

   progressBar2.Create(0, "progressBar2", 0, 10, 70, 250, 50);
   progressBar2.SetColor(LightSalmon);
   progressBar2.SetMin(0);
   progressBar2.SetMax(200);
   progressBar2.SetValue(0);


   progressBar3.Create(0, "progressBar3", 0, 10, 140, 450, 25);
   progressBar3.SetColor(LightCoral);
   progressBar3.SetMin(0);
   progressBar3.SetMax(100);
   progressBar3.SetValue(0);

   progressBar4.Create(0, "progressBar4", 0, 10, 400, 40, 140, 1);
   progressBar4.SetColor(YellowGreen);
   progressBar4.SetMin(0);
   progressBar4.SetMax(100);

   progressBar4.SetValue(5);

   progressBar5.Create(0, "progressBar5", 0, 70, 400, 50, 200, 1);
   progressBar5.SetColor(LightSeaGreen);
   progressBar5.SetMin(0);
   progressBar5.SetMax(100);

   progressBar5.SetValue(0);

   progressBar6.Create(0, "progressBar6", 0, 140, 400, 95, 125, 1);
   progressBar6.SetColor(LightCoral, LightPink);
   progressBar6.SetMin(0);
   progressBar6.SetMax(100);

   progressBar6.SetValue(0);

//---
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---

  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---

  }
//+------------------------------------------------------------------+

void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//--- Check the event by pressing a mouse button
   if(id==CHARTEVENT_OBJECT_CLICK)
     {
      //if (sparam=="progressBar1")
      int cVal = 5;
      while(cVal<=100)
        {
         progressBar.SetValue(cVal);
         progressBar2.SetValue(cVal);
         progressBar3.SetValue(cVal);
         progressBar4.SetValue(cVal);
         progressBar5.SetValue(cVal);
         progressBar6.SetValue(cVal);
         cVal++;

         ChartRedraw();
        };
      while(cVal>=0)
        {
         progressBar.SetValue(cVal);
         progressBar2.SetValue(cVal);
         progressBar3.SetValue(cVal);
         progressBar4.SetValue(cVal);
         progressBar5.SetValue(cVal);
         progressBar6.SetValue(cVal);

         cVal--;

         ChartRedraw();
        };
     }
  }
//+------------------------------------------------------------------+
